Subject: bug#43004: 28.0.50; Test failures due to symlinked Emacs sources

From: Dmitry Gutov <[email-masked]>
Date: Fri, 16 Oct 2020 23:20:19 +0300

On 16.10.2020 17:48, Stephen Berman wrote:
> Yes, please.  I also just realized that I had run the patched batch mode
> tests from my home directory, i.e., following the symlink.  When I run
> them from the source directory without following the symlink, I get the
> same five failures again (i.e., with the patch) that I had gotten before
> without the patch.  So much for that attempt.

So... the patch doesn't work?

I'm not sure what would be the best change here, or whether your usage 
is something we absolutely need to support in 'make check' (Lars? do 
we?), but one thing that should help is the exact examples of strings ( 
absolute file names) that mismatch.